/* This file is part of Indico.
 * Copyright (C) 2002 - 2015 European Organization for Nuclear Research (CERN).
 *
 * Indico is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * Indico is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Indico; if not, see <http://www.gnu.org/licenses/>.
 */

@font-face {
    font-family: "icomoon-ultimate";
    src: font-url("fonts/icomoon/icomoon.eot");
    src: font-url("fonts/icomoon/icomoon.eot?#iefix") format("embedded-opentype"),
         font-url("fonts/icomoon/icomoon.svg#icomoon-ultimate") format("svg"),
         font-url("fonts/icomoon/icomoon.woff") format("woff"),
         font-url("fonts/icomoon/icomoon.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

/* Use the following CSS code if you want to use data attributes for inserting your icons */
[data-icon]:before {
    font-family: 'icomoon-ultimate';
    content: attr(data-icon);
    speak: none;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}

/* Use the following CSS code if you want to have a class per icon */
/*
Instead of a list of all class selectors,
you can use the generic selector below, but it's slower:
[class*="icon-"] {
*/
[class^="icon-"]:before, [class*=" icon-"]:before {
    font-family: 'icomoon-ultimate';
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}

i[class^="icon-"]:before {
    cursor: default;
}

.inactive[class^="icon-"]:before, .inactive[class*=" icon-"]:before {
    opacity: 0.15;
}

/* Icomoon's icon definitions */
.icon-agreement:before {
    content: "\e605";
}
.icon-alarm:before {
    content: "\74";
}
.icon-arrow-down:before {
    content: "\24";
}
.icon-arrow-left:before {
    content: "\e3bf";
}
.icon-arrow-right:before {
    content: "\46";
}
.icon-arrow-up:before {
    content: "\34";
}
.icon-attachment:before {
    content: "\eca9";
}
.icon-bold:before {
    content: "\e454";
}
.icon-bookmark:before {
    content: "\45";
}
.icon-broadcast:before {
    content: "\e005";
}
.icon-bubble-quote:before {
    content: "\e16d";
}
.icon-bullhorn:before {
    content: "\49";
}
.icon-calendar:before {
    content: "\e003";
}
.icon-camera:before {
    content: "\e007";
}
.icon-checkbox-checked:before {
    content: "\e432";
}
.icon-checkbox-unchecked:before {
    content: "\e433";
}
.icon-checkmark:before {
    content: "\e372";
}
.icon-circle-small:before {
    content: "\e2ab";
}
.icon-clipboard:before {
    content: "\3c";
}
.icon-close:before {
    content: "\3b";
}
.icon-code:before {
    content: "\e480";
}
.icon-coins:before {
    content: "\e0d4";
}
.icon-collapse:before {
    content: "\e3b0";
}
.icon-copy:before {
    content: "\30";
}
.icon-disable:before {
    content: "\e00a";
}
.icon-dropmenu:before {
    content: "\f0a5";
}
.icon-earth:before {
    content: "\e600";
}
.icon-edit:before {
    content: "\2e";
}
.icon-enter:before {
    content: "\e37b";
}
.icon-exit:before {
    content: "\e37c";
}
.icon-expand:before {
    content: "\e00b";
}
.icon-eye:before {
    content: "\44";
}
.icon-eye-blocked:before {
    content: "\e9d1";
}
.icon-file:before {
    content: "\e08d";
}
.icon-file-content:before {
    content: "\e07b";
}
.icon-file-css:before {
    content: "\e9bd";
}
.icon-file-download:before {
    content: "\32";
}
.icon-file-excel:before {
    content: "\25";
}
.icon-file-filled:before {
    content: "\e99e";
}
.icon-file-image:before {
    content: "\e9af";
}
.icon-file-music:before {
    content: "\e9b1";
}
.icon-file-openoffice:before {
    content: "\ef37";
}
.icon-file-pdf:before {
    content: "\61";
}
.icon-file-play:before {
    content: "\e9b3";
}
.icon-file-presentation:before {
    content: "\e9bf";
}
.icon-file-spreadsheet:before {
    content: "\e9c5";
}
.icon-file-text:before {
    content: "\e9ad";
}
.icon-file-video:before {
    content: "\e9b5";
}
.icon-file-word:before {
    content: "\ef38";
}
.icon-file-xml:before {
    content: "\e9bb";
}
.icon-file-zip:before {
    content: "\e9b9";
}
.icon-filter:before {
    content: "\4a";
}
.icon-floppy:before {
    content: "\e134";
}
.icon-folder:before {
    content: "\e9db";
}
.icon-folder-open:before {
    content: "\e9dc";
}
.icon-folder-plus:before {
    content: "\e9df";
}
.icon-font-size:before {
    content: "\2f";
}
.icon-grid:before {
    content: "\35";
}
.icon-handle:before {
    content: "\e001";
}
.icon-image:before {
    content: "\31";
}
.icon-info:before {
    content: "\69";
}
.icon-italic:before {
    content: "\e456";
}
.icon-key-A:before {
    content: "\38";
}
.icon-lamp:before {
    content: "\e24e";
}
.icon-link:before {
    content: "\e2cd";
}
.icon-list:before {
    content: "\e299";
}
.icon-location:before {
    content: "\e002";
}
.icon-lock:before {
    content: "\e008";
}
.icon-lock-center:before {
    content: "\eb4e";
}
.icon-loop:before {
    content: "\2c";
}
.icon-mail:before {
    content: "\6d";
}
.icon-medal:before {
    content: "\40";
}
.icon-mic:before {
    content: "\e006";
}
.icon-mobile:before {
    content: "\3e";
}
.icon-new:before {
    content: "\e97b";
}
.icon-next:before {
    content: "\4c";
}
.icon-no-camera:before {
    content: "\e964";
}
.icon-numbered-list:before {
    content: "\e29c";
}
.icon-package-download:before {
    content: "\64";
}
.icon-pagebreak:before {
    content: "\e463";
}
.icon-phone:before {
    content: "\70";
}
.icon-play:before {
    content: "\e00c";
}
.icon-plus:before {
    content: "\2d";
}
.icon-prev:before {
    content: "\4b";
}
.icon-projector:before {
    content: "\e604";
}
.icon-puzzle:before {
    content: "\e26e";
}
.icon-question:before {
    content: "\e35c";
}
.icon-quill:before {
    content: "\e91b";
}
.icon-redo:before {
    content: "\e14c";
}
.icon-remove:before {
    content: "\22";
}
.icon-rulers:before {
    content: "\26";
}
.icon-search:before {
    content: "\37";
}
.icon-settings:before {
    content: "\33";
}
.icon-seven-segment9:before {
    content: "\e48b";
}
.icon-shield:before {
    content: "\2b";
}
.icon-sort:before {
    content: "\e00e";
}
.icon-stack:before {
    content: "\e097";
}
.icon-stack-minus:before {
    content: "\3a";
}
.icon-stack-plus:before {
    content: "\39";
}
.icon-star:before {
    content: "\41";
}
.icon-stop:before {
    content: "\e00d";
}
.icon-switchoff:before {
    content: "\e602";
}
.icon-switchon:before {
    content: "\e601";
}
.icon-tag:before {
    content: "\e0b9";
}
.icon-textarea:before {
    content: "\e000";
}
.icon-textfield:before {
    content: "\f5d5";
}
.icon-ticket:before {
    content: "\42";
}
.icon-time:before {
    content: "\e004";
}
.icon-type:before {
    content: "\2a";
}
.icon-undo:before {
    content: "\27";
}
.icon-unlocked:before {
    content: "\e009";
}
.icon-upload:before {
    content: "\29";
}
.icon-user:before {
    content: "\48";
}
.icon-user-chairperson:before {
    content: "\63";
}
.icon-user-reading:before {
    content: "\3f";
}
.icon-users:before {
    content: "\47";
}
.icon-warning:before {
    content: "\e603";
}
.icon-wrench:before {
    content: "\77";
}
/* End of icomoon's icon definitions */

/* animated spinner icon */
.icon-spinner:before {
    content: "";
    display: inline-block;
    min-width: 1.2em;
    min-height: 1.2em;
    height: 100%;
    background-image: url('/images/loading.gif');
    background-repeat: no-repeat;
    background-size: 1.2em 1.2em;
    vertical-align: middle !important;
    opacity: 0.6; // full opacity is too dark compared to the text in a button
}

/* Custom "empty" icon to have a space equivalent to an icon*/
.icon-none:before {
    content: "\2001";
}

.disabled .icon-spinner:before {
    opacity: 0.4; // "disabled feel" for the bg image with the spinner
}

/* KEEP THE FOLLOWING DEFINITIONS: necessary when rendering the icon 'after' e.g. mixin icon-after */
.icon-arrow-down-after:after {
    content: "\24";
}
.icon-location-after:after {
    content: "\e002";
}
.icon-next-after:after{
    content: "\4c";
}
.icon-time-after:after {
    content: "\e004";
}
